Package com.google.protobuf

# Enum Class ProtoSyntax

java.lang.Object
java.lang.Enum<ProtoSyntax>
com.google.protobuf.ProtoSyntax

All Implemented Interfaces:
  `Serializable`, `Comparable<ProtoSyntax>`, `Constable`

@ExperimentalApi public enum ProtoSyntax extends Enum<ProtoSyntax>
Represents the syntax version of the message.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EDITIONS`
`PROTO2`
`PROTO3`

## Method Summary

Modifier and Type
Method
Description
`static ProtoSyntax`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ProtoSyntax[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### PROTO2

public static final ProtoSyntax PROTO2

### PROTO3

public static final ProtoSyntax PROTO3

### EDITIONS

public static final ProtoSyntax EDITIONS

## Method Details

### values

public static ProtoSyntax[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ProtoSyntax valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null